#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main()
{
    char a[3000], ans = 0, br;
    gets(a);

    for(int p=0; p < (strlen(a)-1); p++)
    {
        br = 0;
        for(int t = (p+1); t < strlen(a); t++) {
            if((a[p] == a[t]) && ((t-p) % 2 != 0)) {
                br++;
                printf("%c\n", a[p]);
                if(br > ans)
                    ans = br;
            }
        }
    }

    printf("%d", ans);

    return 0;
}